import React, { Component, ReactNode } from 'react';
import AnchorContext, { AnchorContextValue } from './AnchorContext';
export interface AnchorLinkProps {
    prefixCls?: string;
    href: string;
    title: ReactNode;
    children?: any;
    className?: string;
}
export default class AnchorLink extends Component<AnchorLinkProps, any> {
    static displayName: string;
    static defaultProps: {
        href: string;
    };
    static get contextType(): typeof AnchorContext;
    context: AnchorContextValue;
    componentDidMount(): void;
    componentDidUpdate({ href: prevHref }: AnchorLinkProps): void;
    componentWillUnmount(): void;
    handleClick: (e: React.MouseEvent<HTMLElement, MouseEvent>) => void;
    render(): JSX.Element;
}
